Last Comment Bug 915053 - remove quirk allowing {} around style attribute
: remove quirk allowing {} around style attribute
Status: RESOLVED FIXED
: dev-doc-complete, site-compat
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla27
Assigned To: David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
:
Mentors:
Depends on:
Blocks: quirks-mode-spec
  Show dependency treegraph
 
Reported: 2013-09-11 02:25 PDT by David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
Modified: 2013-12-10 20:21 PST (History)
6 users (show)
dbaron: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove quirk allowing {} around style attribute. (4.97 KB, patch)
2013-09-11 06:18 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
cam: review+
Details | Diff | Review

Description David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2013-09-11 02:25:17 PDT
http://software.hixie.ch/utilities/js/live-dom-viewer/?saved=2517 shows that other browsers (IE, blink, WebKit) no longer implement the quirk added in bug 99554 to allow {} around the style attribute.  We should remove this.

(Discussed in CSS meeting today, briefly.)
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2013-09-11 06:18:47 PDT
Created attachment 802989 [details] [diff] [review]
Remove quirk allowing {} around style attribute.

The tests pass with the patch; without the patch
test_style_attribute_quirks.html fails 2 tests.
Comment 2 Cameron McCormack (:heycam) 2013-09-11 17:05:20 PDT
Comment on attachment 802989 [details] [diff] [review]
Remove quirk allowing {} around style attribute.

Review of attachment 802989 [details] [diff] [review]:
-----------------------------------------------------------------

(I guess it would have been simpler to write the test as a reftest, but either way.)
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2013-09-17 04:48:20 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/a2a946c673af
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2013-09-17 04:51:22 PDT
(In reply to Cameron McCormack (:heycam) from comment #2)
> (I guess it would have been simpler to write the test as a reftest, but
> either way.)

Script tests should be lower-overhead to run, though.
Comment 5 Ryan VanderMeulen [:RyanVM] 2013-09-17 17:43:24 PDT
https://hg.mozilla.org/mozilla-central/rev/a2a946c673af
Comment 6 Jean-Yves Perrier [:teoli] 2013-09-18 00:02:20 PDT
Adding dev-doc-needed, I'm not sure this was previously documented, but if so we have to fix the documentation.
Comment 7 Simon Pieters 2013-09-18 01:42:30 PDT
"In quirks mode, the CSS parser allows {} around the contents of style attributes (bug 99554)."
https://developer.mozilla.org/en-US/docs/Mozilla_Quirks_Mode_Behavior
Comment 8 Daniel Holbert [:dholbert] 2013-09-18 12:20:38 PDT
I added a sentence "This behavior is being removed in Firefox 27, for interoperability.", plus a link to this bug, after the quote in Comment 7.  Feel free to edit/extend as appropriate.

Leaving dev-doc-needed in case there's anything else that needs updating.
Comment 9 :Ms2ger 2013-09-23 06:27:56 PDT
Simon, what's the testing situation here?
Comment 10 Simon Pieters 2013-09-23 07:45:49 PDT
I've submitted http://hg.csswg.org/test/rev/0274e82f1553 (feel free to review so it can be moved to approved)

Note You need to log in before you can comment on or make changes to this bug.